Bug 74682 - gnome-panel-screenshot dont give "read" permission when saving in public_html
Summary: gnome-panel-screenshot dont give "read" permission when saving in public_html
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-30 18:12 UTC by vilou
Modified: 2013-04-02 04:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-15 22:21:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vilou 2002-09-30 18:12:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When gnome-panel-screenshot save its file in public_html it doesn't give the "r"
permission to "other" : 
-rw-------    1 anvil    anvil      373057 sep 30 20:00 Capture-3.png


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. gnome-panel-screenshot
2. -> save in public_html
3. -> ok


Actual Results:  The file is -rw-------.

Expected Results:  The file should be -rw-r--r-- or -rw-r--r--
I think _for the "save in public_html" case_ (at least), the
gnome-applet-screenshot should really give set the read permission like this.


Additional info:

BTW, I think we should we able to change the directory name "public_html". I was
in a university where the directory for web site was "~/www".

Comment 1 Jonathan Blandford 2003-01-15 22:21:51 UTC
Fixed in rawhide.  Also, there is a gconf key to change the default save
location so you can have ~/www as the default if you want.  it's not a user
visible feature, though.


Note You need to log in before you can comment on or make changes to this bug.